@import '../../../global.css';

.button {
  color: #fff;
  font-size: 18px;
  line-height: 20px;
  text-align: center;
  border: 2px solid rgba(0,0,0,0);
  border-radius: 30px;
  -webkit-box-shadow: 0 8px 12px 0 rgba(0,0,0,.06);
  box-shadow: 0 8px 12px 0 rgba(0,0,0,.06);
  padding: 16px 40px;
  transition: all 0.3s;
  cursor: pointer;
  font-family: "RobotoFlex";
  font-weight: 600;
  
    &.primary {
      background-color: var(--primary_blue);
      outline-color: var(--primary_blue);
    }
    
    &.primary:hover {
      background-color: #1e5f8a;
    }

    &.disabled_button {
      border: 2px solid  var(--primary_grey);
      color:  var(--primary_grey);
      background-color: transparent;
      cursor: not-allowed;
    }
  }
  

  @media(max-width: 600px)  {
    .button {
      font-size: 15px;
      line-height: 17px;
      padding: 10px 20px;
    }    
  }